Bug 112194 - Status of a isdn connection doesn't change to active.
Status of a isdn connection doesn't change to active.
Product: Fedora
Classification: Fedora
Component: redhat-config-network (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: 112364 112649 (view as bug list)
Depends On:
Blocks: rcn-isdn
  Show dependency treegraph
Reported: 2003-12-15 16:27 EST by Heini Hempelmann
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-28 12:41:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
isdn inactive patch (827 bytes, patch)
2004-01-03 21:05 EST, Egon Kocjan
no flags Details | Diff
Control.py patch (1.05 KB, patch)
2004-06-16 17:11 EDT, Simon Morgan
no flags Details | Diff

  None (edit)
Description Heini Hempelmann 2003-12-15 16:27:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4.1)

Description of problem:
When I start a ISDN connection. I press activate, then the internet
connection goes up. But I can't deactivate this connection by pressing
deactive, because the status doesn't change. 
So I must log in as a root user and enter then : "isdnctrl hangup ippp0"

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Activate connection
2. Wait 
3. Cannot deactivate connection

Actual Results:  Internet connection goes up, but the status doesn't
change to active.

Expected Results:  Status change to active to deactivate the connection

Additional info:
Comment 1 Harald Hoyer 2003-12-18 03:05:30 EST
please try 1.3.13 from rawhide
Comment 2 Heini Hempelmann 2003-12-18 07:27:49 EST
A stupid question, where can I find redhat-config-network-1.3.13?
It is not in the testing area.
Comment 3 Harald Hoyer 2003-12-18 08:22:57 EST
sorry... and it is compiled with python-2.3 (so, you would have to

Comment 4 Nils 2004-01-01 11:08:33 EST
Bug 112364 and bug 112649 are dupes of this one.

Heini, did it work for you?
Comment 5 Egon Kocjan 2004-01-03 21:05:24 EST
Created attachment 96754 [details]
isdn inactive patch

Attached patch seems to fix the problem for me (Fedora Core 1). Instead of
running isdnctrl or userisdnctl, check for ipppd pid file, just like pppd for
Comment 6 Nils 2004-01-30 06:28:37 EST
My machine with this problem is remote and the local user not
knowledgeable. I tried Harald's suggestion to install
redhat-config-network-1.3.13 (and tui). Now the user can't establish
any isdn connection anymore. I'm locked out. The error message was
relayed to me on the phone, the gist being

   ifup: command not found.

Any clues?
Comment 7 Harald Hoyer 2004-01-30 06:42:24 EST
log in as root and start
then /sbin should be in the $PATH
Comment 8 Jef Spaleta 2004-01-30 23:39:42 EST
*** Bug 112364 has been marked as a duplicate of this bug. ***
Comment 9 Jef Spaleta 2004-01-30 23:41:49 EST
*** Bug 112649 has been marked as a duplicate of this bug. ***
Comment 10 Need Real Name 2004-02-02 15:52:39 EST
I want to try the comment at #3 with redhat-config-network-1.3.13, but
a question of mine, how do i re-compile it for fedora core 1. Or is
there a compiled file.

Comment 11 Nils 2004-02-04 11:10:48 EST
@harald, #7: 

No, that's not it. The message is like this:

ppp4: /sbin/ifup MSN; /usr/sbin/userisdnctl dial ippp4: No such file
or directory

Both commands issued in a shell seperately work OK. Seems they are
treated by the python script as one command. Mixup of system and exec?

Don't bother, it doesn't work (yet). In any case, have a look at the
man page of rpmbuild.
Comment 12 Harald Hoyer 2004-02-04 11:21:40 EST
found the bug in CVS... will provide a bugfix soon! thx!
Comment 13 Peter Eszlari 2004-02-06 14:02:38 EST
As a work-around I use "gnome modemlight applet" with the following

/usr/sbin/isdndial <connection-name>


/usr/sbin/isdnhangup <connection-name>
Comment 14 Nils 2004-02-23 09:37:40 EST
Are there any new problems that delay the fix?
Comment 15 Simon Morgan 2004-06-03 19:25:47 EDT
I have a problem that's related to this bug I think. While I can
connect to my ISP fine, the connection status never changes to Active.
This wouldn't be so bad if my ISP didn't kick me off every 2 hours
because I have no way of knowing when this has happened.
Comment 16 Simon Morgan 2004-06-16 17:11:57 EDT
Created attachment 101198 [details]
Control.py patch

Fixes the bug and uses (IMHO) a more appropriate program to detect if the link
is up.
Comment 17 Christian Ziemski 2004-09-27 09:42:37 EDT
Simon, thanks for your patch.

Now it's working fine.

Comment 18 Matthew Miller 2006-07-11 13:35:38 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.


NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 19 John Thacker 2006-10-28 12:41:16 EDT
Closing per lack of response to previous comment.  Note that FC1 and FC2 are no
longer supported even by Fedora Legacy.  If this still occurs on FC3 or FC4,
please assign to that version and Fedora Legacy.  If it still occurs on FC5 or
FC6, please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.